package org.foobar;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public class TestDataDAO {
	@PersistenceContext
	private EntityManager entityManager;

	@Transactional
	public void persist(TestData testData) {
		entityManager.persist(testData);
	}

	@Transactional
	public void merge(TestData testData) {
		entityManager.merge(testData);
	}

	@Transactional
	public void remove(TestData testData) {
		entityManager.remove(testData);
	}
	
	@Transactional(readOnly=true)
	public List<TestData> findAll() {
		return entityManager.createQuery("from TestData").getResultList();
	}
}
