package org.foobar;

import java.util.UUID;

import org.apache.log4j.Logger;
import org.infinispan.Cache;
import org.infinispan.manager.DefaultCacheManager;
import org.infinispan.manager.EmbeddedCacheManager;
import org.junit.Test;

public class NoTXCacheTest {

	Logger logger_ = Logger.getLogger(getClass());

	@Test
	public void testCache() throws Exception {
		logger_.info("starting testCache");
		long start = System.currentTimeMillis();

		EmbeddedCacheManager cacheManager = new DefaultCacheManager("infinispan.xml");

		int count = 0;
		Cache<Long, String> cache = cacheManager.getCache("testCache");
		for (long l = 0L; l < 50000L; l++) {
			Long key = Long.valueOf(l);

			if (!cache.containsKey(key)) {
				cache.put(key, UUID.randomUUID().toString());
			}

			count++;

			if (count % 1000 == 0) {
				logger_.info(String.format("%d test data added to cache", count));
			}
		}

		logger_.info(String.format("testCache complete - %dms", (System.currentTimeMillis() - start)));
	}
}
